/******************************/
/*** PRODUCT CARD COMPONENT ***/
/******************************/
.tm-card {
    background-color: white;
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    color: #000000;
    /*margin-bottom: 30px;*/
    overflow: hidden;
}
.tm-card-header .uk-button-default {
    background-color: #f4f9fe;
    border: 1px solid #e5e7eb;
    color: #4b5563;
    /*padding: 6px 12px;*/
    border-radius: 6px;
    font-size: 0.875rem;
    font-weight: 500;
    cursor: pointer;
    display: flex;
    align-items: center;
    /*gap: 6px;*/
    text-transform: none;
    transition: all 0.2s;
}
.tm-card-header {
    padding: 15px 20px;
}
.tm-card-title {
    font-family: var(--font-title), sans-serif;
    font-size: 1.15rem;
    font-weight: 500;
    color: #1f2937;
    display: flex;
    align-items: center;
    gap: 8px;
    margin: 5px 0;
}
.tm-card-body {
    padding: 10px 10px 5px 10px;
}
.tm-card-body p {
    margin: 5px 0;
}
.tm-card-footer {
    /*padding: 0.3rem !important;*/
    padding: 5px 10px 5px 10px;
    border-top: 1px solid #ddd;
}

/* ИЗОБРАЖЕНИЕ */
.tm-card .product-image img {
    aspect-ratio: 300/210;
    object-fit: cover;
}
/* ЦЕНЫ */
.tm-card .price, .tm-card .price sup,
.tm-card .old-price, .tm-card .old-price sup,
.tm-card .price.sale, .tm-card .price.sale sup {
    /*font-family: "Fira Sans Extra Condensed", sans-serif;*/
    font-family: "Ubuntu", sans-serif;
}
/* ТЕКУЩАЯ ЦЕНА */
.tm-card .price {
    color: #202020;
    font-size: 1.6rem;
    font-weight: 400;
    line-height: 1.4;
    white-space: nowrap;
}
.tm-card .price sup {
    color: #202020;
    font-size: 0.8rem;
    font-weight: 500;
    top: -.65em;
}
/* СТАРАЯ ЦЕНА */
.tm-card .old-price {
    position: relative;
    display: inline-block;
    color: #202020;
    font-size: 1.3rem;
    font-weight: 300;
    line-height: 1.4;
    margin-right: 10px;
    white-space: nowrap;
}
.tm-card .old-price sup {
    color: #202020;
    font-size: .65rem;
    font-weight: 400;
    top: -.65em;
}
.tm-card .old-price::after {
    border-bottom: 1px solid #202020;
    content: "";
    left: 0;
    position: absolute;
    top: 45%;
    width: 100%;
    transform: rotate(-10deg);
}
/* АКЦИОННАЯ ЦЕНА */
.tm-card .price.sale,
.tm-card .price.sale sup {
    color: #B10707;
}
/* ИКОНКА КОРЗИНЫ */
.tm-card .cart-icon {
    color: forestgreen;
    font-size: 1.5rem;
}

/* HOVER ЭФФЕКТ */
.tm-card.uk-card-hover {
    transition: box-shadow 0.3s ease, background-color 0.3s ease;
}
.tm-card.uk-card-hover:hover {
    background-color: #fff;
    box-shadow: 0 10px 15px rgba(0,0,0,.16);
}

/********************************/
/*** AVERAGE RATING COMPONENT ***/
/********************************/
.tm-rating-wrapper {
    display: block;
    width: 100%;
    text-decoration: none;
    margin: 5px 0;
}
.tm-rating-wrapper:hover .tm-rating__value,
.tm-rating-wrapper:hover .tm-rating__count {
    text-decoration: none;
}
.tm-rating {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    text-decoration: none;
    /*line-height: 1;*/
    width: 100%;
    /*margin: 8px 0;*/
}
.tm-rating__stars {
    display: inline-flex;
    align-items: center;
    gap: 2px;
    color: #f5b301;
    flex-shrink: 0;
}
.tm-rating__star {
    display: inline-flex;
    align-items: center;
    justify-content: center;
}
.tm-rating__star svg {
    display: block;
    width: 100%;
    height: 100%;
}
.tm-rating__star--full {
    color: #f5b301;
}
.tm-rating__star--partial {
    color: #f5b301;
}
.tm-rating__star--empty {
    color: #d7dbe0;
}
.tm-rating__star--empty svg path {
    fill: currentColor;
}
.tm-rating__star--full svg path,
.tm-rating__star--partial svg path {
    fill: currentColor;
}
.tm-rating__meta {
    display: inline-flex;
    align-items: center;
    gap: 6px;
    font-size: 14px;
    color: #6b7280;
}
.tm-rating__value {
    font-weight: 700;
    font-size: 15px;
    color: #111827;
}
.tm-rating__count {
    white-space: nowrap;
}

.likes-count, .dislikes-count {
    color: #999;
}

/* Адаптивность товарной карточки */
/*@media (max-width: 640px) {
    .tm-rating {
        !*display: inline-flex;
        align-items: center;*!
        gap: 5px;
        !*text-decoration: none;
        line-height: 1;
        width: 100%;*!
        margin: 0;
    }
}*/

@media (min-width: 640px) {

}

@media (min-width: 960px) {

}

@media (min-width: 1200px) {
}

@media (min-width: 1600px) {

}

/*************************************/
/*** STEPPER component on Frontend ***/
/*************************************/
.uk-stepper {
    display: flex;
    width: 100%;
}
.step-item {
    flex: 1;
    text-align: center;
    position: relative;
}
/* линия между шагами */
.step-item.completed:not(:last-child)::after,
.step-item:not(:last-child)::after {
    content: "";
    position: absolute;
    top: 18px;
    left: 70%;
    width: 60%;
    height: 2px;
    z-index: 0;
}
.step-item.completed:not(:last-child)::after {
    background: var(--bg-blue);
}
.step-item:not(:last-child)::after {
    background: #ccc;
}
/* кружок */
.step-circle {
    position: relative;
    z-index: 2;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
    font-weight: 600;
    color: white;
}
.step-item.active .step-circle {
    background-color: #fff;
    border: 2px solid var(--bg-blue);
    color: var(--bg-blue);
}
.step-title {
    margin-top: 8px;
    font-size: 13px;
}
/* цвета */
.step-gray { background: #ccc; }
.step-blue { background: var(--bg-blue); }
.step-red { background: var(--danger); }
/* completed */
.step-item.completed .step-circle {
    background: var(--bg-blue);
}

/************************************/
/*** FE - TO TOP BUTTON COMPONENT ***/
/************************************/
#to-top-button {
    display:none;
    border: 1px solid #ccc;
    border-radius: 50px;
    padding: 14px 10px;
    position: fixed;
    left: 20px;
    bottom: 20px;
}

/***************************/
/*** FE - SOCIAL BUTTONS ***/
/***************************/
#social-buttons {
    position: fixed;
    z-index: 981;
    right: 10px;
    bottom: 10px;
}
.social-buttons__toggle {
    border: none;          /* убирает рамку */
    outline: none;         /* убирает контур при фокусе, если нужен ‑ см. ↓ */
    font-size: 0;
    width: 60px;
    height: 60px;
    background-color: rgba(0,128,0,0.5); /*var(--green);*/
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    /*box-shadow: 0 0 20px 0 rgba(0,0,0,.3);*/
    transition: .2s;
    -webkit-animation: 2s ease-out infinite pulse;
    animation: 2s ease-out infinite pulse
}
.social-buttons__toggle svg {
    transition: .3s ease-in-out;
    position: absolute;
    margin: auto;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0
}
.social-buttons__toggle svg.social-buttons-toggle-icon--close {
    /*background-color: rgba(128,0,0,0.75);*/
    fill: #FFFFFF;
    opacity: 0;
    visibility: hidden;
    transform: scale(.1)
}
/*.social-buttons__list {
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    flex-direction: column
}*/
.social-buttons__link {
    display: inline-block;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    position: absolute;
    margin: auto;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: 0;
    visibility: hidden
}
.social-buttons__link:hover {
    box-shadow: 0 0 20px 0 rgba(0,0,0,.4)
}
.social-buttons__link:hover .social-buttons__tooltip {
    opacity: .85
}
.social-buttons__tooltip {
    position: absolute;
    right: 60px;
    white-space: nowrap;
    padding: 6px 9px;
    font-size: 13px;
    border-radius: 3px;
    transform: translateX(0) translateY(-50%);
    top: 50%;
    background: #292929;
    color: #fff;
    opacity: 0;
    transition: .1s linear
}
/* стрелка */
.social-buttons__tooltip::after {
    content: '';
    /*position: absolute;
    width: 0;
    height: 0;
    border: 10px solid transparent;
    top: 50%;
    left: -20px;
    transform: translateY(-50%);
    border-right-color: #292929*/
}
.social-buttons--active .social-buttons__toggle {
    -webkit-animation: none;
    animation: none;
    background-color: rgba(128,0,0,0.5); /*var(--white);*/
}
.social-buttons--active .social-buttons__toggle svg {
    transition: .3s ease-in-out;
    position: absolute;
    margin: auto;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: 0;
    visibility: hidden;
    transform: scale(.1)
}
.social-buttons--active .social-buttons__toggle svg.social-buttons-toggle-icon--close {
    opacity: 1;
    visibility: visible;
    transform: scale(1)
}
.social-buttons--active .social-buttons__link {
    opacity: 1;
    visibility: visible
}
.social-buttons--active .social-buttons__link:nth-of-type(1) {
    transition: .2s ease-in-out;
    transform: translate(0,-135%)
}
.social-buttons--active .social-buttons__link:nth-of-type(2) {
    transition: 225ms ease-in-out;
    transform: translate(0,-255%)
}
.social-buttons--active .social-buttons__link:nth-of-type(3) {
    transition: .25s ease-in-out;
    transform: translate(0,-375%)
}
.social-buttons--active .social-buttons__link:nth-of-type(4) {
    transition: 275ms ease-in-out;
    transform: translate(0,-495%)
}
.social-buttons--active .social-buttons__link:nth-of-type(5) {
    transition: .3s ease-in-out;
    transform: translate(0,-615%)
}
